/*
 *  GnomeZip
 *  actions.h
 *
 *  Copyright (C) 2000 Hongli Lai
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _ACTIONS_H_
#define _ACTIONS_H_

#include <gnomezip.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/*********  Please keep function names in alphabetic order!  **********/


void gz_close_archive (MainApp *app);
gboolean gz_extract_archive (MainApp *app, const gchar *extract_to_dir);
gboolean gz_open_archive (MainApp *app, const gchar *filename);


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif _ACTIONS_H_